summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDominik Schmidt <dominik@schm1dt.ch>2020-03-26 19:28:19 +0100
committerMikle Kolyada <zlogene@gentoo.org>2020-03-27 10:39:26 +0300
commit69c76ab560eae84bd631d6a5d91d1ed6641fd154 (patch)
treed62eec4b489451df7fc1bba7dfac93465fd23f2c /eclass/texlive-module.eclass
parentsys-kernel/pf-sources: bump to 5.5-pf8 (diff)
downloadgentoo-69c76ab560eae84bd631d6a5d91d1ed6641fd154.tar.gz
gentoo-69c76ab560eae84bd631d6a5d91d1ed6641fd154.tar.bz2
gentoo-69c76ab560eae84bd631d6a5d91d1ed6641fd154.zip
texlive-module.eclass: fix doc installation
If the package does not create ${WORKDIR}/texmf-doc, then the eclass assumes that no documentation should be installed. This is assumption is incorrect, since the documentation tar-balls can put the docs into texmf-dist and not texmf-doc, as happens with e.g. texlive-mathscience. As a result, the documentation files are not installed anymore. Bug: https://bugs.gentoo.org/714908 Signed-off-by: Dominik Schmidt <dominik@schm1dt.ch> Closes: https://github.com/gentoo/gentoo/pull/15128 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Diffstat (limited to 'eclass/texlive-module.eclass')
-rw-r--r--eclass/texlive-module.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 5c4dec838d77..a415205e035f 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -350,8 +350,10 @@ texlive-module_src_install() {
done
dodir /usr/share
- if use doc && [[ -d texmf-doc ]]; then
- cp -pR texmf-doc "${ED}/usr/share/" || die
+ if use doc; then
+ if [[ -d texmf-doc ]]; then
+ cp -pR texmf-doc "${ED}/usr/share/" || die
+ fi
else
if [[ -d texmf-dist/doc ]]; then
rm -rf texmf-dist/doc || die